PMDALUSTERCOMM(1)

NAME
pmdalustrecomm - Lustre filesystem comms performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/lustrecomm/pmdalustrecomm [-d domain] [-l logfile] [-U username]

DESCRIPTION
pmdalustrecomm is a Performance Metrics Domain Agent (PMDA) which extracts performance metrics from the Linux procfs filesystem about the state of various aspects of the Lustre filesystem.

The lustrecomm PMDA exports metrics that focus on distributed communication in the filesystem, including metrics related to timeouts, network drops, send/receive information and route lengths. However, it also covers the memory use of some of the Lustre filesystem components.

A brief description of the pmdalustrecomm command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named lustrecomm.log is written in the current directory of pmcd(1) when pmdalustrecomm is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

-U  User account under which to run the agent. The default is the unprivileged "pcp" account in current versions of PCP, but in older versions the superuser account ("root") was used by default.

INSTALLATION
If you want access to the names, help text and values for the lustrecomm performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/lustrecomm
# ./Install

If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/lustrecomm
# ./Remove

pmdalustrecomm is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdalustrecomm
$PCP_PMDAS_DIR/lustrecomm/help
    default help text file for the lustrecomm metrics
$PCP_PMDAS_DIR/lustrecomm/Install
    installation script for the pmdalustrecomm agent
$PCP_PMDAS_DIR/lustrecomm/Remove
    undo installation script for the pmdalustrecomm agent
$PCP_LOG_DIR/pmcd/lustrecomm.log
    default log file for error messages and other information from pmdalustrecomm

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5) and pcp.env(5).